> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corbado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Initialize connect login

> Initializes a [Corbado Connect](https://docs.corbado.com/corbado-connect) process for login.



## OpenAPI

````yaml https://frontendapi.cloud.corbado.io/v2/openapi.yaml post /v2/connect/login/init
openapi: 3.0.3
info:
  version: 2.0.4
  title: Corbado Frontend API
  description: >-
    Overview of all Corbado Frontend API calls to implement passwordless
    authentication.
  contact:
    name: Corbado team
    email: support@corbado.com
    url: https://www.corbado.com
servers:
  - url: https://{projectId}.frontendapi.corbado.io
    variables:
      projectId:
        description: Your Corbado project ID
        default: pro-000000
security:
  - bearerAuth: []
  - projectID: []
tags:
  - name: Auth
    description: All API calls that are related to an authentication process.
  - name: Configs
    description: All API calls to manage configurations
  - name: Users
    description: All API calls to manage users
  - name: CorbadoConnect
    description: All API calls that are related to a connect process
  - name: OIDC
    description: All API calls that are related to OpenID Connect
  - name: WellKnown
    description: All API calls that are related to WellKnown assets
paths:
  /v2/connect/login/init:
    post:
      tags:
        - CorbadoConnect
      summary: Initialize connect login
      description: >-
        Initializes a [Corbado
        Connect](https://docs.corbado.com/corbado-connect) process for login.
      operationId: ConnectLoginInit
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/connectLoginInitReq'
      responses:
        '200':
          description: >-
            Contains information about if and how a passkey login can be
            started.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/connectLoginInitRsp'
components:
  schemas:
    connectLoginInitReq:
      type: object
      required:
        - clientInformation
        - flags
      properties:
        clientInformation:
          $ref: '#/components/schemas/clientInformation'
        flags:
          type: object
          additionalProperties:
            type: string
        invitationToken:
          type: string
    connectLoginInitRsp:
      type: object
      required:
        - token
        - expiresAt
        - frontendApiUrl
        - loginAllowed
        - flags
      properties:
        token:
          type: string
        newClientEnvHandle:
          type: string
        newClientState:
          type: string
        expiresAt:
          type: integer
          format: int64
        frontendApiUrl:
          type: string
        loginAllowed:
          type: boolean
        conditionalUIChallenge:
          type: string
        flags:
          type: object
          additionalProperties:
            type: string
    clientInformation:
      type: object
      properties:
        bluetoothAvailable:
          type: boolean
        clientEnvHandle:
          type: string
        visitorId:
          type: string
        canUsePasskeys:
          type: boolean
          description: >-
            Deprecated, use isUserVerifyingPlatformAuthenticatorAvailable
            instead
        isUserVerifyingPlatformAuthenticatorAvailable:
          type: boolean
        isConditionalMediationAvailable:
          type: boolean
        clientCapabilities:
          $ref: '#/components/schemas/clientCapabilities'
        javaScriptHighEntropy:
          $ref: '#/components/schemas/javaScriptHighEntropy'
        isNative:
          type: boolean
        webdriver:
          type: boolean
        privateMode:
          type: boolean
        clientEnvHandleMeta:
          $ref: '#/components/schemas/clientStateMeta'
        nativeMeta:
          $ref: '#/components/schemas/nativeMeta'
    clientCapabilities:
      type: object
      properties:
        conditionalCreate:
          type: boolean
        conditionalMediation:
          type: boolean
        conditionalGet:
          type: boolean
        hybridTransport:
          type: boolean
        passkeyPlatformAuthenticator:
          type: boolean
        userVerifyingPlatformAuthenticator:
          type: boolean
        relatedOrigins:
          type: boolean
        signalAllAcceptedCredentials:
          type: boolean
        signalCurrentUserDetails:
          type: boolean
        signalUnknownCredential:
          type: boolean
    javaScriptHighEntropy:
      type: object
      required:
        - platform
        - platformVersion
        - mobile
      properties:
        platform:
          type: string
        platformVersion:
          type: string
        mobile:
          type: boolean
    clientStateMeta:
      type: object
      required:
        - ts
        - source
      properties:
        ts:
          type: integer
          format: int64
        source:
          type: string
          enum:
            - ls
            - url
            - native
    nativeMeta:
      type: object
      required:
        - platform
        - platformVersion
        - displayName
      properties:
        platform:
          type: string
        platformVersion:
          type: string
        name:
          type: string
        version:
          type: string
        displayName:
          type: string
        build:
          type: string
        deviceOwnerAuth:
          type: string
          enum:
            - none
            - code
            - biometrics
        isBluetoothAvailable:
          type: boolean
        isBluetoothOn:
          type: boolean
        isGooglePlayServices:
          type: boolean
        isDeviceSecure:
          type: boolean
        error:
          type: string
        brand:
          type: string
        model:
          type: string
        locale:
          type: string
        screen:
          $ref: '#/components/schemas/nativeMetaScreen'
        sdkInitTimeMs:
          type: integer
          format: int64
    nativeMetaScreen:
      type: object
      required:
        - widthPoints
        - heightPoints
        - scale
      properties:
        widthPoints:
          type: number
          format: float
        heightPoints:
          type: number
          format: float
        scale:
          type: number
          format: float
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        After a user logs in successfully, a session is created and a JWT token
        is returned.

        This token represents the user's authenticated session.

        It must be included in the `Authorization` header as a Bearer token for
        all protected endpoints:


        `Authorization: Bearer <your-token>`


        The server will validate this token to authorize access.
    projectID:
      type: apiKey
      in: header
      name: X-Corbado-ProjectID
      description: |
        Identifies your project context for Corbado.
        Include this in the request headers as:

        `X-Corbado-ProjectID: <your-project-id>`

````